Loading...
Searching...
No Matches
peakionisotopematch.h File Reference
`#include "pappsomspp/export-import-config.h"`
`#include "peakionmatch.h"`
`#include "../peptide/peptidenaturalisotopeaverage.h"`

Go to the source code of this file.

## Classes

class | pappso::PeakIonIsotopeMatch

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< const PeakIonIsotopeMatch > | pappso::PeakIonIsotopeMatchCstSPtr

## Functions

std::vector< PeakIonIsotopeMatch >::iterator | pappso::findComplementIonType (std::vector< PeakIonIsotopeMatch >::iterator begin, std::vector< PeakIonIsotopeMatch >::iterator end, const PeakIonIsotopeMatch &peak_ion, std::size_t peptide_size)
| find the first element containing the complementary ion complementary ion of y1 is b(n-1) for instance
| Q_DECLARE_METATYPE (pappso::PeakIonIsotopeMatchCstSPtr)

## Function Documentation

## Q_DECLARE_METATYPE()

Q_DECLARE_METATYPE | ( | pappso::PeakIonIsotopeMatchCstSPtr |  | ) |